import request from '@/utils/request'
import { exportExcelNew } from '@/utils/filedown'
import { createService } from '@/utils/createRequest'
const request2 = createService('http://wms.xingyunyi.cn/api')

export function _getPageResult(data) {
  return request({
    url: '/Tracking/GetTraceInfoPager',
    method: 'post',
    data
  })
}

export function _down(data) {
  exportExcelNew(process.env.VUE_APP_BASE_API + '/Tracking/OutTraceInfo', data, 'post')
}
export function DownloadTraces(startTime, endTime) {
  return request2({
    url: '/Order/DownloadTraces?startTime=' + startTime + "&endTime=" + endTime,
    method: 'get',
  })
}